# # Interface: ScriptableContext<TType>

## # Type parameters

Name | Type
--- | ---
`TType` | extends `ChartType`

## # Properties

### # active

• active: `boolean`

#### # Defined in

index.esm.d.ts:19
(opens new window)

### # chart

• chart: `Chart`<keyof `ChartTypeRegistry`, (`number` | `ScatterDataPoint` | `BubbleDataPoint`)[], `unknown`>

#### # Defined in

index.esm.d.ts:20
(opens new window)

### # dataIndex

• dataIndex: `number`

#### # Defined in

index.esm.d.ts:21
(opens new window)

### # dataset

• dataset: `UnionToIntersection`<`ChartDataset`<`TType`, `DistributiveArray`<`ChartTypeRegistry`[`TType`][`"defaultDataPoint"`]>>>

#### # Defined in

index.esm.d.ts:22
(opens new window)

### # datasetIndex

• datasetIndex: `number`

#### # Defined in

index.esm.d.ts:23
(opens new window)

### # mode

• mode: `string`

#### # Defined in

index.esm.d.ts:25
(opens new window)

### # parsed

• parsed: `UnionToIntersection`<`ParsedDataType`<`TType`>>

#### # Defined in

index.esm.d.ts:26
(opens new window)

### # raw

• raw: `unknown`

#### # Defined in

index.esm.d.ts:27
(opens new window)

### # type

• type: `string`

#### # Defined in

index.esm.d.ts:24
(opens new window)